javax.faces.view.facelets

## Class TagHandlerDelegate

- java.lang.Object
- - javax.faces.view.facelets.TagHandlerDelegate

-     public abstract class TagHandlerDelegate
      extends Object

  Abstract class that defines methods relating to helping tag handler instances. This abstraction enables implementation details to be hidden by the JSF implementation while still allowing concrete classes to be defined for extension by users.

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagHandlerDelegate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `apply(FaceletContext ctx, UIComponent comp)` Called by classes that implement `FaceletHandler` in their implementation of `apply()`.
    `abstract MetaRuleset` | `createMetaRuleset(Class type)` Return a `MetaRuleset` particular to this kind of tag handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagHandlerDelegate

          public TagHandlerDelegate()

  - ### Method Detail

    - #### createMetaRuleset

          public abstract MetaRuleset createMetaRuleset(Class type)

      Return a `MetaRuleset` particular to this kind of tag handler. Called from classes that implement `MetaTagHandler`.

      Parameters:
        `type` - the `Class` for which the `MetaRuleset` must be created.
      Since:
        2.0

    - #### apply

          public abstract void apply(FaceletContext ctx,
                   UIComponent comp)
                              throws IOException

      Called by classes that implement `FaceletHandler` in their implementation of `apply()`.

      If the argument `comp` is new to the view, for each tag attribute declared to be in the pass through attribute namespace, set the name and value of the attribute into the pass through attributes map of the component. See `UIComponent.getPassThroughAttributes(boolean)`. See the VDLDocs for the namespace URI of the pass through attribute namespace. Attributes whose value is a `ValueExpression` must remain un-evaluated and stored in the map as `ValueExpression` instances.

      Parameters:
        `ctx` - the `FaceletContext` for this request
        `comp` - the `UIComponent` that corresponds to this element.
      Throws:
        `IOException`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.